R: PGS2TOOL.PLT                       RTC = 9-132358
R: Last Revised: August 1, 1991

J(%MONO=YES): @P
T: Sorry, this module is only for high resolution monochrome screens.
U: RETURN
E:

P:
R: Set text window size, make insensitive to case, and set text attributes
C: %LINES=3
C: %CAPS=NO
C: $attributes=27,1,B,0,0
G: LOAD TOOLBOX.IMG, 1
U: TITLE
U: INITIALIZE
U: RETURN
G: TEXT
T:
        This module will familiarize you with the PageStream 2.1 tools.

T:
        You may choose two modes, introduction or testing,
        or you may quit.
U: RETURN

*MENU
TX:
T:
                             MENU
T:
                         1 - Introduction
                         2 - Testing
                         3 - QUIT

T:
T:
T:
T:
TH: Enter Your Choice 
U: A13
JM: INTRO,TEST,QUIT
E:

*INTRO
C: #total=0
U: TITLE
T: In the introductory mode you pick (point and click on) a Toolbox object
T: and I will name and describe its use.
U: RETURN
*I1
T:
U: LIMIT
T:

*INTRO_LOOP
T:
T: Pick a toolbox object.
C: #item=0
*AGAIN
G: LOCATE MOUSE
U: TOOL
J(#item=0): AGAIN
T:
T:  You picked the $which
T:  which is used to $do.
U: RETURN
C: #count=#count+1
J(#count<#limit): INTRO_LOOP
T:
T:
TH: Do you want to do more? 
U: YN
JY: I1
T:
T: Okay...
W: 30
T:
T:
T:
G: TEXT
J: MENU


*TEST
C: #total=0
C: #grand=0
G: SPLIT
G: SHOW 1, 400,20
G: WRITE TEXT 110,180,A Picky Test On~$attributes
G: WRITE TEXT 100,230,PageStream Tools~$attributes
T: In test mode you will be asked to pick (point and click on) toolbox objects
 which you would select to perform various desktop publishing tasks.
U: RETURN
*T1
T:

U: LIMIT
T:

*TEST.LOOP
R: Randomly select a tool
C: #random = ?
C: #k=(#random\19)+1
A: =#k        %% this puts #k in the Accept Buffer for the following MATCH
M: 10,11,12,13,14,15,16,17,18,19,1,2,3,4,5,6,7,8,9
UM: ELI,CAR,EAR,POL,FRE,MAS,GTO,BAC,FWD,MOV,TXT,PTR,COL,RES,BOX,RBX,XYL,LIN,CIR
T:
T:
   Pick the tool used to $do.
G: LOCATE MOUSE
G: SHOW POINTER %MX,%MY
C: #button=0
U: BUTTON
R: Score an item
C(#button): #score=#score+1
R: Give random feedback ($FY for right, $FN for wrong)
C: #random=?
C: #x=(#random\7)+1
C(#button): $feedback=$FY(#x)
C(#button=0): $feedback=$FN(#x)
TH:   >>> $feedback <<<
W: 20
C: #count=#count+1
G: HIDE POINTER
J(#count<#limit): TEST.LOOP
C: #grand=#grand+#score
T: Your got #score of #limit right this time.
 Your total score is #grand/#total.
TH: Do you want more test items? 
U: YN
T:
JM: T1
T: Okay...
W: 30
T:
T:
T:
G: TEXT
J: MENU

*QUIT
R: Quitting...time for a commercial
TX:
T:
        Anyone with eSTeem COPILOT--a shareware program--can run those
        PILOT modules which have valid runtime codes (RTCs).  You will need 
        eSTeem PILOT.PRG, which is NOT shareware, to create your own PILOT
        modules, modify existing ones, and compute valid RTCs.  For more
        information run the module, COPILOT.PLT.
T:
        To obtain your own licensed copy of eSTeem PILOT and the 220+page
        user's manual, see your Atari dealer or send \$79.95 + \$4.00 S&H to:
T:  
                            eSTeem, inc.
                            72 Shades Crest Road
                            Hoover, AL 35226-1014
T:
                            Fax: (205) 942-8390
                            Dealer Inquiries: (205) 941-4910
T:
T:
T:
T:
T:
U: RETURN
T:
T:
        So long...
W: 20
E:


R: ******************  other sub-modules  ****************

*RETURN
TH:                                                            < Press RETURN 
A:
E:

*YN
A:
M: Y*,N*
THN: Please enter Y or N 
JN: @A
M: Y*
E:

*A13
A:
M: 1,2,3
THN: Please enter 1, 2, or 3  
JN: @A
E:

*INITIALIZE
R: Dimension arrays
D: $FY(7,16)
D: $FN(7,22)
D: #tool(2,2)
R: Initialize feedback ($FY, $FN)
C: $FY(1)=Correct
C: $FY(2)=That's right
C: $FY(3)=You got it
C: $FY(4)=Very good
C: $FY(5)=Absolutely
C: $FY(6)=Most certainly
C: $FY(7)=Yes
C: $FN(1)=Wrong
C: $FN(2)=Sorry, that's not it
C: $FN(3)=That ain't it, Honey
C: $FN(4)=Poor guess
C: $FN(5)=Absolutely not
C: $FN(6)=Think, again
C: $FN(7)=Nah
E:

*TITLE
G: SPLIT
G: SHOW 1, 400,20
G: WRITE TEXT 80,180,An Introduction to~$attributes
G: WRITE TEXT 100,230,PageStream Tools~$attributes
E:

*LIMIT
TH: Enter the number of items you would like (1 - 10) 
A: #limit
TH(#limit>10): The limit is 10, so let's go with that.
W(#limit>10): 20
C(#limit>10): #limit=10
TH(#limit<0): Sorry, I can't accept a negative number.  Please try, again.
W(#limit<0): 25
J(#limit<0): T1
C: #total=#total+#limit
C: #count=0
C: #score=0
E:

*BUTTON
R: This Button?
E(%MX<#tool(1,1)):
E(%MY>#tool(1,2)):
E(%MX>#tool(2,1)):
E(%MY<#tool(2,2)):
C: #button=1
E:

*TOOL
R: Which Tool?
C: #button=0
U: TXT
U: BUTTON
E(#button=1):
U: PTR
U: BUTTON
E(#button=1):
U: COL
U: BUTTON
E(#button=1):
U: RES
U: BUTTON
E(#button=1):
U: BOX
U: BUTTON
E(#button=1):
U: RBX
U: BUTTON
E(#button=1):
U: XYL
U: BUTTON
E(#button=1):
U: LIN
U: BUTTON
E(#button=1):
U: CIR
U: BUTTON
E(#button=1):
U: ELI
U: BUTTON
E(#button=1):
U: CAR
U: BUTTON
E(#button=1):
U: EAR
U: BUTTON
E(#button=1):
U: POL
U: BUTTON
E(#button=1):
U: FRE
U: BUTTON
E(#button=1):
U: MAS
U: BUTTON
E(#button=1):
U: GTO
U: BUTTON
E(#button=1):
U: BAC
U: BUTTON
E(#button=1):
U: FWD
U: BUTTON
E(#button=1):
U: MOV
U: BUTTON
E:

*TXT
C: $which=Text Tool
C: #item=1
C: $do=enter and edit text
C: #tool(1,1)=400
C: #tool(1,2)=71
C: #tool(2,1)=432
C: #tool(2,2)=40
E:
*PTR
C: $which=Pointer Tool
C: #item=2
C: $do=select page elements for moving, resizing, etc
C: #tool(1,1)=433
C: #tool(1,2)=71
C: #tool(2,1)=465
C: #tool(2,2)=40
E:
*COL
C: $which=Column Tool
C: $do=create a text column
C: #item=3
C: #tool(1,1)=400
C: #tool(1,2)=102
C: #tool(2,1)=432
C: #tool(2,2)=72
E:
*RES
C: $which=Reshape Tool
C: #item=4
C: $do=reshape polygons, polylines, and Bezier curves
C: #tool(1,1)=433
C: #tool(1,2)=103
C: #tool(2,1)=465
C: #tool(2,2)=72
E:
*BOX
C: $which=Box Tool
C: #item=5
C: $do=draw boxes with square corners
C: #tool(1,1)=400
C: #tool(1,2)=135
C: #tool(2,1)=432
C: #tool(2,2)=104
E:
*RBX
C: $which=Rounded Box Tool
C: #item=6
C: $do=draw boxes with rounded corners
C: #tool(1,1)=433
C: #tool(1,2)=135
C: #tool(2,1)=465
C: #tool(2,2)=104
E:
*XYL
C: $which=XY Line Tool
C: #item=7
C: $do=draw only horizontal and vertical lines
C: #tool(1,1)=400
C: #tool(1,2)=167
C: #tool(2,1)=432
C: #tool(2,2)=136
E:
*LIN
C: $which=Lines Tool
C: #item=8
C: $do=draw all kinds of lines
C: #tool(1,1)=433
C: #tool(1,2)=167
C: #tool(2,1)=465
C: #tool(2,2)=136
E:
*CIR
C: $which=Circle Tool
C: #item=9
C: $do=draw a circle
C: #tool(1,1)=400
C: #tool(1,2)=199
C: #tool(2,1)=432
C: #tool(2,2)=168
E:
*ELI
C: $which=Elipse Tool
C: #item=10
C: $do=draw an elipse
C: #tool(1,1)=433
C: #tool(1,2)=199
C: #tool(2,1)=465
C: #tool(2,2)=168
E:
*CAR
C: $which=Circular Arc Tool
C: #item=11
C: $do=draw a circular arc
C: #tool(1,1)=400
C: #tool(1,2)=230
C: #tool(2,1)=432
C: #tool(2,2)=200
E:
*EAR
C: $which=Eliptical Arc Tool
C: #item=12
C: $do=draw and eliptical arc
C: #tool(1,1)=433
C: #tool(1,2)=230
C: #tool(2,1)=465
C: #tool(2,2)=200
E:
*POL
C: $which=Polygon Tool
C: #item=13
C: $do=create polygons, polylines, and Bezier curves
C: #tool(1,1)=400
C: #tool(1,2)=264
C: #tool(2,1)=432
C: #tool(2,2)=231
E:
*FRE
C: $which=Freehand Tool
C: #item=14
C: $do=draw a freehand object
C: #tool(1,1)=433
C: #tool(1,2)=264
C: #tool(2,1)=465
C: #tool(2,2)=231
E:
*MAS
C: $which=Master Page
C: #item=15
C: $do=go to the Master Page
C: #tool(1,1)=400
C: #tool(1,2)=298
C: #tool(2,1)=465
C: #tool(2,2)=277
E:
*GTO
C: $which=Change Page
C: #item=16
C: $do=go to a specific page number
C: #tool(1,1)=400
C: #tool(1,2)=332
C: #tool(2,1)=465
C: #tool(2,2)=297
E:
*BAC
C: $which=Left Arrow
C: #item=17
C: $do=go back one page
C: #tool(1,1)=400
C: #tool(1,2)=348
C: #tool(2,1)=432
C: #tool(2,2)=333
E:
*FWD
C: $which=Right Arrow
C: #item=18
C: $do=go forward one page
C: #tool(1,1)=433
C: #tool(1,2)=349
C: #tool(2,1)=465
C: #tool(2,2)=333
E:
*MOV
C: $which=Mover Bar
C: #item=19
C: $do=move the Toolbox to another location
C: #tool(1,1)=400
C: #tool(1,2)=39
C: #tool(2,1)=469
C: #tool(2,2)=20
E:

