R: NU_PBU.PLT                                           COPILOT RTC = 9-87407
R: Last Revised 8/1/91
R:                    (c) Copyright 1991 eSTeem, inc.
R:                         All Rights Reserved

C: %CASE=NO
J: @P

*RETURN
TH:                                                           < Press RETURN 
A:
E:

*YN
A:
M: Y*, N*
THN: YES or NO ? 
EN: @A
M: Y*
E:

P:

*OPTIONS
G: TEXT
G: ERASE
T:
T:
T:
T:
T:
T:                          Point and Box Utility
T:                          =====================
T:                          (c) 1991 eSTeem, inc.
T:
T:
T:                            (L)ocate a Point
T:
T:                            (D)rag a Box
T:
T:                            (I)nstructions
T:
T:                            (Q)uit
T:
TH: Enter L, D, I, or Q  
A: $which
M: Q*
JY: QUIT
M: I*
JY: TELL
T:
T:
T:
T:                            (N)ew Graphic
T:
T:                            (C)urrent Graphic
T:
T:                            (Q)uit
T:
TH: Enter N, C, or Q  
A: $graphic
M: Q*
JY: QUIT
M: N, C
UM: LOAD, DOIT
J: OPTIONS

*LOAD
C: $again=NO
T:
TH: Center the graphic? 
U: YN
CY: #center=1
CN: #center=0
J(#center=1):C1
T:
TH: Enter the upper left x coordinate 
A: #x
TH: Enter the upper left y coordinate 
A: #y
*C1
T:
T:
T:
T:
T:
T:
T:
T:                            (F)ull Screen
T:
T:                            (S)plit Screen
T:
T:
T:
T:
TH: Enter F, S 
A: $full
M: F*
CY: #full = 1
CN: #full = 0
T:
T:
T:
T:
T:
T:
T:
T:
M: P*
CY: $buffer=A
CN: $buffer=1
C: %ERROR=NO 
TH: Enter Full Path for Graphic 
A: $path
G: LOAD $path, $buffer
E(%ERROR=YES):

*DOIT
A: =$which
M: L*, D*
UM: LOCATE, DRAG
T:
T:
T:
T:
E:


*LOCATE
G: ERASE
J($again=YES): L3
G: SPLIT
J(#center): L1
G: SHOW $buffer, #x, #y
J: L2
*L1
G: SHOW $buffer
*L2
T(#full=0):

T: PICK the point you wish to locate...
W: 30
*L3
G(#full): GRAPHIC
J(#center): L4
G: SHOW $buffer, #x, #y
J: L5
*L4
G: SHOW $buffer
*L5
C: $again=YES
G: LOCATE MOUSE
G: SPLIT
T: 
     Coordinates:  x = %MX   y = %MY

TH: Locate Another Point? 
U: YN
JY: LOCATE
E:

*DRAG
G: ERASE
J($again=YES): D3
G: SPLIT
J(#center): D1
G: SHOW $buffer, #x, #y
J: D2
*D1
G: SHOW $buffer
*D2
T(#full=0):

T: Drag the box from its upper left corner...

W: 30
*D3
G(#full): GRAPHIC
J(#center): D4
G: SHOW $buffer, #x, #y
J: D5
*D4
G: SHOW $buffer
*D5
C: $again=YES
G: DRAG BOX
C: #LLY=%BY+%BH
C: #URX=%BX+%BW
C: $fill=3,3,1,1
G: DRAW BOX %BX, #LLY, #URX, %BY, $fill
W(#full): 30
G: SPLIT
T:
T:     Lower Left Coordinates:  llx = %BX    lly = #LLY
T:    Upper Right Coordinates:  urx = #URX    ury = %BY

TH: Drag Another Box? 
U: YN
JY: DRAG
G: TEXT
E:


*TELL
G: TEXT
T:      
                             PBU: Point and Box Utility
                             ==========================
                                (c) 1991 eSTeem, inc.
T:
T:
        This PILOT module can be used to determine where a point or box
        (rectangular area) is on the graphic screen.  This information is
        often needed to position markers or define 'hot spots' or 'hidden
        buttons' in PILOT modules and other sofware applications.
T:
        eSTeem COPILOT, a shareware runtime program, will run PBU and
        other shareware PILOT modules.
T:
        PBU will give you the x and y screen coordinates of a point on the
        graphic screen or the lower left and upper right coordinates of a
        dragged box (rectangle).
T:
        First, you will be asked which you want to do: LOCATE a point, DRAG
        a box, or QUIT.
T:
        Next, you will be given options to LOAD a new graphic or USE the
        existing one.  You may load .IMG, .GEM and .P?? (DEGAS) graphics.
T:
U: RETURN
T:
T:
T:
T:
T:
T:
        Then you may let PBU center the graphic or you may position it by
        entering the x and y coordinates of the upper left corner of the
        graphic.
T:
        If you choose to LOCATE a point, pick (point and click on) the point
        in the graphic.
T:
        If you choose to DRAG a box, position the mouse pointer where the
        upper left corner of the box will be, hold down the left mouse button,
        and drag the box, releasing the left button to complete dragging.
        To cancel a drag operation and start over, hold down the right mouse
        button before releasing the left button, then start dragging, again.
T:
T:
T:
T:
T:
T:
T:
U: RETURN
T:
T:
                             PBU: Point and Box Utility
                             ==========================
                                (c) 1991 eSTeem, inc.
T:
              PBU and COPILOT are copyrighted but may be distributed
              without charge.  However, they may not be sold or
              incorporated in any product sold commercially without
              written permission from eSTeem, inc.
T:
              The authoring program, eSTeem PILOT, is required to create
              and modify PILOT modules.  eSTeem PILOT is copyrighted and
              may not be loaned, rented, given away, or placed on any
              bulletin board system or information service.  To purchase
              eSTeem PILOT, see your Atari dealer, send email to ESTEEM
              on GEnie, or send \$79.95 (plus \$4.00 for shipping and
              handling) to:
T:
                                   eSTeem, inc.
                               72 Shades Crest Rd.
                              Hoover, AL 35226-1014
T:
T:
T:
U: RETURN
J: OPTIONS
        
*QUIT
T: Bye...
W: 20
E:
